## theme-d-intr 0.10.0

=== debian/changelog ===
theme-d-intr (0.10.0-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Wed, 30 Mar 2022 10:22:16 +0300

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --with autoreconf

#override_dh_install:
#	dh_install --list-missing -X.la -X.pyc -X.pyo

GUILE_VERSION=3.0
GUILE_VERSION2=3.0.8

override_dh_auto_configure:
	dh_auto_configure -- --with-guile=$(GUILE_VERSION)

override_dh_gencontrol:
	dh_gencontrol -- -Vguile-version="$(GUILE_VERSION)" \
	  -Vguile-version2="$(GUILE_VERSION2)"

override_dh_compress:
	dh_compress -X.thp -X.thi -X.thb -X.mk

## theme-d-intr 0.14.2

=== examples/intr-gtk3-examples/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# examples/intr-gtk3-examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/theme-d-intr
pkgincludedir = $(includedir)/theme-d-intr
pkglibdir = $(libdir)/theme-d-intr
pkglibexecdir = $(libexecdir)/theme-d-intr
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = examples/intr-gtk3-examples
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/theme-d-guile.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} '/home/tohoyn/git/sourceforge/theme-d-intr/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
API_VERSION = 2
AUTOCONF = ${SHELL} '/home/tohoyn/git/sourceforge/theme-d-intr/missing' autoconf
AUTOHEADER = ${SHELL} '/home/tohoyn/git/sourceforge/theme-d-intr/missing' autoheader
AUTOMAKE = ${SHELL} '/home/tohoyn/git/sourceforge/theme-d-intr/missing' automake-1.16
AWK = gawk
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"Theme-D-Intr\" -DPACKAGE_TARNAME=\"theme-d-intr\" -DPACKAGE_VERSION=\"0.14.1\" -DPACKAGE_STRING=\"Theme-D-Intr\ 0.14.1\" -DPACKAGE_BUGREPORT=\"tommi.hoynalanmaa\ at\ iki.fi\" -DPACKAGE_URL=\"http://www.iki.fi/tohoyn/theme-d-intr/\" -DPACKAGE=\"theme-d-intr\" -DVERSION=\"0.14.1\"
ECHO_C = 
ECHO_N = -n
ECHO_T = 
ETAGS = etags
EXAMPLES_DIR = ${datarootdir}/doc/${PACKAGE_TARNAME}/examples
EXTRA_GUILD_OPTIONS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LIB_DIR = /usr/share/theme-d/lib
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} '/home/tohoyn/git/sourceforge/theme-d-intr/missing' makeinfo
MKDIR_P = /usr/bin/mkdir -p
MODULE_DIR = /usr/share/guile/site/3.0
MY_GUILE_VERSION = 3.0
PACKAGE = theme-d-intr
PACKAGE_BUGREPORT = tommi.hoynalanmaa at iki.fi
PACKAGE_NAME = Theme-D-Intr
PACKAGE_STRING = Theme-D-Intr 0.14.1
PACKAGE_TARNAME = theme-d-intr
PACKAGE_URL = http://www.iki.fi/tohoyn/theme-d-intr/
PACKAGE_VERSION = 0.14.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
SCRIPT_DIR = ${datarootdir}/theme-d-intr/scripts
SET_MAKE = 
SHELL = /bin/bash
SRC_DIR = /home/tohoyn/git/sourceforge/theme-d-intr
STRIP = 
THEME_D_GUILE = /usr/bin/guile-3.0
VERSION = 0.14.1
abs_builddir = /home/tohoyn/git/sourceforge/theme-d-intr/examples/intr-gtk3-examples
abs_srcdir = /home/tohoyn/git/sourceforge/theme-d-intr/examples/intr-gtk3-examples
abs_top_builddir = /home/tohoyn/git/sourceforge/theme-d-intr
abs_top_srcdir = /home/tohoyn/git/sourceforge/theme-d-intr
am__leading_dot = .
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/tohoyn/git/sourceforge/theme-d-intr/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
SUBDIRS = hello hello2 hello3 calc theme-d-intr-demo
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu examples/intr-gtk3-examples/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu examples/intr-gtk3-examples/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \

## theme-d-intr 0.11.0

=== debian/changelog ===
theme-d-intr (0.11.0-2) unstable; urgency=medium

  * Built for Theme-D version 4.2.1.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Thu, 07 Apr 2022 14:36:17 +0300

theme-d-intr (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 01 Apr 2022 09:28:22 +0300

theme-d-intr (0.10.0-1) unstable; urgency=medium

  * Initial release.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 01 Apr 2022 09:26:31 +0300

=== debian/control ===
Source: theme-d-intr
Section: lisp
Priority: optional
Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
Build-Depends: debhelper-compat (= 13),
 theme-d-translator (>= 4.2.1), theme-d-rte (>= 4.2.1),
 theme-d-stdlib (>= 4.2.1), g-golf (>= 0.1.0v9), guile-3.0 (>= 3.0.8)
Standards-Version: 4.6.0
Homepage: http://www.iki.fi/tohoyn/theme-d-intr/

Package: theme-d-intr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
 theme-d-rte (>= 4.2.1), g-golf (>= 0.1.0v9),
 guile-${guile-version} (>= ${guile-version2})
Replaces: theme-d-golf
Conflicts: theme-d-golf-dev
Description: Software library for using G-Golf in Theme-D
 Theme-D-Golf is a software library allowing the use of G-Golf in Theme-D.
 This package includes the files necessary for running standalone
 Theme-D-Intr programs.
 
Package: theme-d-intr-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
 theme-d-intr (= ${binary:Version}),
 guile-${guile-version} (>= ${guile-version2})
Replaces: theme-d-golf-dev
Conflicts: theme-d-golf
Description: Software library for using G-Golf in Theme-D
 Theme-D-Golf is a software library allowing the use of G-Golf in Theme-D.
 This package contains the development files for Theme-D-Intr.

## theme-d-intr 0.11.1

=== debian/changelog ===
theme-d-intr (0.11.1-1) unstable; urgency=medium

  * New upstream release 0.11.1.
  * Built for Theme-D version 4.3.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Thu, 23 Jun 2022 17:05:30 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 4.2.1), theme-d-rte (>= 4.2.1),
- theme-d-stdlib (>= 4.2.1), g-golf (>= 0.1.0v9), guile-3.0 (>= 3.0.8)
+ theme-d-translator (>= 4.3.0), theme-d-rte (>= 4.3.0),
+ theme-d-stdlib (>= 4.3.0), g-golf (>= 0.1.0v9), guile-3.0 (>= 3.0.8)
 Standards-Version: 4.6.0
 Homepage: http://www.iki.fi/tohoyn/theme-d-intr/
 
@@ -12,7 +12,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
- theme-d-rte (>= 4.2.1), g-golf (>= 0.1.0v9),
+ theme-d-rte (>= 4.3.0), g-golf (>= 0.1.0v9),
  guile-${guile-version} (>= ${guile-version2})
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev

## theme-d-intr 0.12.0

=== debian/changelog ===
theme-d-intr (0.12.0-2) unstable; urgency=medium

  * Built for Theme-D version 5.0.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sun, 18 Sep 2022 11:14:28 +0300

theme-d-intr (0.12.0-1) unstable; urgency=medium

  * New upstream release 0.12.0.
  * Changed the G-Golf dependency from 0.1.0v9 to 0.1.0v10 in debian/control.
  * Built for Theme-D version 4.3.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Wed, 31 Aug 2022 14:21:54 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 4.3.0), theme-d-rte (>= 4.3.0),
- theme-d-stdlib (>= 4.3.0), g-golf (>= 0.1.0v9), guile-3.0 (>= 3.0.8)
+ theme-d-translator (>= 5.0.0), theme-d-rte (>= 5.0.0),
+ theme-d-stdlib (>= 5.0.0), g-golf (>= 0.1.0v10), guile-3.0 (>= 3.0.8)
 Standards-Version: 4.6.0
 Homepage: http://www.iki.fi/tohoyn/theme-d-intr/
 
@@ -12,7 +12,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
- theme-d-rte (>= 4.3.0), g-golf (>= 0.1.0v9),
+ theme-d-rte (>= 5.0.0), g-golf (>= 0.1.0v10),
  guile-${guile-version} (>= ${guile-version2})
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev
@@ -25,7 +25,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
- theme-d-intr (= ${binary:Version}),
+ theme-d-intr (= ${source:Version}),
  guile-${guile-version} (>= ${guile-version2})
 Replaces: theme-d-golf-dev
 Conflicts: theme-d-golf

=== debian/watch ===
version=4
https://www.iki.fi/tohoyn/theme-d-golf/theme-d-golf-(.+).tar.xz

## theme-d-intr 0.13.0

=== debian/changelog ===
theme-d-intr (0.13.0-1) unstable; urgency=medium

  * New upstream release 0.13.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Tue, 18 Jul 2023 11:56:53 +0300

theme-d-intr (0.12.0-3) unstable; urgency=medium

  * Changed G-Golf dependency from 0.1.0v10 to 0.1.0v11 in debian/control.
  * Built for G-Golf version 0.1.0v11-1.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sun, 27 Nov 2022 11:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
  theme-d-translator (>= 5.0.0), theme-d-rte (>= 5.0.0),
- theme-d-stdlib (>= 5.0.0), g-golf (>= 0.1.0v10), guile-3.0 (>= 3.0.8)
+ theme-d-stdlib (>= 5.0.0), g-golf (>= 0.8.0-a.4), guile-3.0 (>= 3.0.8)
 Standards-Version: 4.6.0
 Homepage: http://www.iki.fi/tohoyn/theme-d-intr/
 
@@ -12,7 +12,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
- theme-d-rte (>= 5.0.0), g-golf (>= 0.1.0v10),
+ theme-d-rte (>= 5.0.0), g-golf (>= 0.8.0-a.4),
  guile-${guile-version} (>= ${guile-version2})
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev

## theme-d-intr 0.13.1

=== debian/changelog ===
theme-d-intr (0.13.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1054344)

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Thu, 26 Oct 2023 15:12:37 +0300

=== debian/control ===
Source: theme-d-intr
Section: lisp
Priority: optional
Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
Build-Depends: debhelper-compat (= 13),
 theme-d-translator (>= 5.0.0), theme-d-rte (>= 5.0.0),
 theme-d-stdlib (>= 5.0.0), guile-3.0 (>= 3.0.8)
Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
Standards-Version: 4.6.2
Homepage: http://www.iki.fi/tohoyn/theme-d-intr/
Rules-Requires-Root: no

Package: theme-d-intr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
 theme-d-rte (>= 5.0.0), g-golf (>= 0.8.0~rc1),
 guile-${guile-version} (>= ${guile-version2})
Replaces: theme-d-golf
Conflicts: theme-d-golf-dev
Description: Software library for using G-Golf in Theme-D
 Theme-D-Golf is a software library allowing the use of G-Golf in Theme-D.
 This package includes the files necessary for running standalone
 Theme-D-Intr programs.

Package: theme-d-intr-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
 theme-d-intr (= ${source:Version}),
 guile-${guile-version} (>= ${guile-version2})
Replaces: theme-d-golf-dev
Conflicts: theme-d-golf
Description: Theme-D-Intr development files
 Theme-D-Golf is a software library allowing the use of G-Golf in Theme-D.
 This package contains the development files for Theme-D-Intr.

## theme-d-intr 0.14.0

=== debian/changelog ===
theme-d-intr (0.14.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1054344)

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 03 Nov 2023 08:12:23 +0200

## theme-d-intr 0.14.1

=== debian/changelog ===
theme-d-intr (0.14.1-1) unstable; urgency=medium

  * Fixed makefile examples/intr-gtk4-examples/theme-d-intr-demo/user.mk.in.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Tue, 02 Jan 2024 13:00:35 +0200

## theme-d-intr 0.14.2

=== debian/changelog ===
theme-d-intr (0.14.2-1) unstable; urgency=medium

  * New upstream version 0.14.2.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Thu, 25 Jan 2024 11:11:49 +0200

=== debian/control ===
Source: theme-d-intr
Section: lisp
Priority: optional
Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
Build-Depends: debhelper-compat (= 13),
 theme-d-translator (>= 5.0.0), theme-d-rte (>= 5.0.0),
 theme-d-stdlib (>= 5.0.0), guile-3.0 (>= 3.0.7)
Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
Standards-Version: 4.6.2
Homepage: http://www.iki.fi/tohoyn/theme-d-intr/
Rules-Requires-Root: no

Package: theme-d-intr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 theme-d-rte (>= 5.0.0), g-golf (>= 0.8.0~rc1),
 guile-3.0 (>= 3.0.7)
Replaces: theme-d-golf
Conflicts: theme-d-golf-dev
Description: Software library for using G-Golf in Theme-D
 Theme-D-Intr is a software library allowing the use of G-Golf in Theme-D.
 This package includes the files necessary for running standalone
 Theme-D-Intr programs.

Package: theme-d-intr-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 theme-d-intr (= ${source:Version}),
 guile-3.0 (>= 3.0.7)
Replaces: theme-d-golf-dev
Conflicts: theme-d-golf
Description: Theme-D-Intr development files
 Theme-D-Intr is a software library allowing the use of G-Golf in Theme-D.
 This package contains the development files for Theme-D-Intr.

Package: theme-d-intr-gtk3-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 theme-d-intr-dev (= ${source:Version}), gir1.2-gtk-3.0
Description: Theme-D-Intr example programs for Gtk 3
 This package contains example programs using Gtk 3 library for Theme-D-Intr.

Package: theme-d-intr-gtk4-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 theme-d-intr-dev (= ${source:Version}), gir1.2-gtk-4.0, gir1.2-adw-1
Description: Theme-D-Intr example programs for Gtk 4
 This package contains example programs using Gtk 4 library for Theme-D-Intr.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --with autoreconf

#override_dh_install:
#	dh_install --list-missing -X.la -X.pyc -X.pyo

GUILE_VERSION=3.0

override_dh_auto_configure:
	dh_auto_configure -- --with-guile=$(GUILE_VERSION)

override_dh_compress:
	dh_compress -X.thp -X.thi -X.thb -X.mk -X.ui

## theme-d-intr 0.15.0

=== examples/intr-gtk3-examples/Makefile ===
--- 
+++ 
@@ -186,7 +186,7 @@
 CSCOPE = cscope
 CTAGS = ctags
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"Theme-D-Intr\" -DPACKAGE_TARNAME=\"theme-d-intr\" -DPACKAGE_VERSION=\"0.14.1\" -DPACKAGE_STRING=\"Theme-D-Intr\ 0.14.1\" -DPACKAGE_BUGREPORT=\"tommi.hoynalanmaa\ at\ iki.fi\" -DPACKAGE_URL=\"http://www.iki.fi/tohoyn/theme-d-intr/\" -DPACKAGE=\"theme-d-intr\" -DVERSION=\"0.14.1\"
+DEFS = -DPACKAGE_NAME=\"Theme-D-Intr\" -DPACKAGE_TARNAME=\"theme-d-intr\" -DPACKAGE_VERSION=\"0.15.0\" -DPACKAGE_STRING=\"Theme-D-Intr\ 0.15.0\" -DPACKAGE_BUGREPORT=\"tommi.hoynalanmaa\ at\ iki.fi\" -DPACKAGE_URL=\"http://www.iki.fi/tohoyn/theme-d-intr/\" -DPACKAGE=\"theme-d-intr\" -DVERSION=\"0.15.0\"
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
@@ -210,10 +210,10 @@
 PACKAGE = theme-d-intr
 PACKAGE_BUGREPORT = tommi.hoynalanmaa at iki.fi
 PACKAGE_NAME = Theme-D-Intr
-PACKAGE_STRING = Theme-D-Intr 0.14.1
+PACKAGE_STRING = Theme-D-Intr 0.15.0
 PACKAGE_TARNAME = theme-d-intr
 PACKAGE_URL = http://www.iki.fi/tohoyn/theme-d-intr/
-PACKAGE_VERSION = 0.14.1
+PACKAGE_VERSION = 0.15.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -224,7 +224,7 @@
 SRC_DIR = /home/tohoyn/git/sourceforge/theme-d-intr
 STRIP = 
 THEME_D_GUILE = /usr/bin/guile-3.0
-VERSION = 0.14.1
+VERSION = 0.15.0
 abs_builddir = /home/tohoyn/git/sourceforge/theme-d-intr/examples/intr-gtk3-examples
 abs_srcdir = /home/tohoyn/git/sourceforge/theme-d-intr/examples/intr-gtk3-examples
 abs_top_builddir = /home/tohoyn/git/sourceforge/theme-d-intr

=== debian/changelog ===
theme-d-intr (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Wed, 11 Sep 2024 15:55:12 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  theme-d-stdlib (>= 5.0.0), guile-3.0 (>= 3.0.7)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.iki.fi/tohoyn/theme-d-intr/
 Rules-Requires-Root: no

## theme-d-intr 0.16.0

=== examples/intr-gtk3-examples/Makefile ===
--- 
+++ 
@@ -186,7 +186,7 @@
 CSCOPE = cscope
 CTAGS = ctags
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"Theme-D-Intr\" -DPACKAGE_TARNAME=\"theme-d-intr\" -DPACKAGE_VERSION=\"0.15.0\" -DPACKAGE_STRING=\"Theme-D-Intr\ 0.15.0\" -DPACKAGE_BUGREPORT=\"tommi.hoynalanmaa\ at\ iki.fi\" -DPACKAGE_URL=\"http://www.iki.fi/tohoyn/theme-d-intr/\" -DPACKAGE=\"theme-d-intr\" -DVERSION=\"0.15.0\"
+DEFS = -DPACKAGE_NAME=\"Theme-D-Intr\" -DPACKAGE_TARNAME=\"theme-d-intr\" -DPACKAGE_VERSION=\"0.16.0\" -DPACKAGE_STRING=\"Theme-D-Intr\ 0.16.0\" -DPACKAGE_BUGREPORT=\"tommi.hoynalanmaa\ at\ iki.fi\" -DPACKAGE_URL=\"http://www.iki.fi/tohoyn/theme-d-intr/\" -DPACKAGE=\"theme-d-intr\" -DVERSION=\"0.16.0\"
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
@@ -210,10 +210,10 @@
 PACKAGE = theme-d-intr
 PACKAGE_BUGREPORT = tommi.hoynalanmaa at iki.fi
 PACKAGE_NAME = Theme-D-Intr
-PACKAGE_STRING = Theme-D-Intr 0.15.0
+PACKAGE_STRING = Theme-D-Intr 0.16.0
 PACKAGE_TARNAME = theme-d-intr
 PACKAGE_URL = http://www.iki.fi/tohoyn/theme-d-intr/
-PACKAGE_VERSION = 0.15.0
+PACKAGE_VERSION = 0.16.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -224,7 +224,7 @@
 SRC_DIR = /home/tohoyn/git/sourceforge/theme-d-intr
 STRIP = 
 THEME_D_GUILE = /usr/bin/guile-3.0
-VERSION = 0.15.0
+VERSION = 0.16.0
 abs_builddir = /home/tohoyn/git/sourceforge/theme-d-intr/examples/intr-gtk3-examples
 abs_srcdir = /home/tohoyn/git/sourceforge/theme-d-intr/examples/intr-gtk3-examples
 abs_top_builddir = /home/tohoyn/git/sourceforge/theme-d-intr

=== debian/changelog ===
theme-d-intr (0.16.0-1) unstable; urgency=medium

  * New upstream version 0.16.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Tue, 17 Sep 2024 15:41:58 +0300

## theme-d-intr 0.17.0

=== debian/changelog ===
theme-d-intr (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Thu, 03 Oct 2024 12:19:25 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 5.0.0), theme-d-rte (>= 5.0.0),
- theme-d-stdlib (>= 5.0.0), guile-3.0 (>= 3.0.7)
+ theme-d-translator (>= 5.1.4), theme-d-rte (>= 5.1.4),
+ theme-d-stdlib (>= 5.1.4), guile-3.0 (>= 3.0.7)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
 Standards-Version: 4.7.0
@@ -15,7 +15,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 5.0.0), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 5.1.4), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev

## theme-d-intr 0.18.0

=== debian/changelog ===
theme-d-intr (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0.
  * Changed the dependencies to Theme-D packages to >= 6.0.0 in debian/control.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 03 Jan 2025 17:34:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 5.1.4), theme-d-rte (>= 5.1.4),
- theme-d-stdlib (>= 5.1.4), guile-3.0 (>= 3.0.7)
+ theme-d-translator (>= 6.0.0), theme-d-rte (>= 6.0.0),
+ theme-d-stdlib (>= 6.0.0), guile-3.0 (>= 3.0.7)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
 Standards-Version: 4.7.0
@@ -15,7 +15,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 5.1.4), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 6.0.0), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev

## theme-d-intr 0.19.0

=== debian/changelog ===
theme-d-intr (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0.
  * Changed the dependencies to Theme-D packages to >= 6.1.0 in debian/control.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Mon, 17 Feb 2025 19:44:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 6.0.0), theme-d-rte (>= 6.0.0),
- theme-d-stdlib (>= 6.0.0), guile-3.0 (>= 3.0.7)
+ theme-d-translator (>= 6.1.0), theme-d-rte (>= 6.1.0),
+ theme-d-stdlib (>= 6.1.0), guile-3.0 (>= 3.0.7)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
 Standards-Version: 4.7.0
@@ -15,7 +15,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 6.0.0), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 6.1.0), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev

## theme-d-intr 0.20.0

=== debian/changelog ===
theme-d-intr (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0.
  * Changed the dependencies to Theme-D packages to >= 7.0.0 in debian/control.
  * Changed the architecture of package theme-d-intr from all to any.
  * Changed Standards-Version to 4.7.2.
  * Added some linked Theme-D modules to package theme-d-intr.
  * New file debian/theme-d-intr.lintian-overrides.
  * Do not compress .scm files in debian/rules.
  * Do not strip .go files in debian/rules.
  * Exclude some scripts from dh_fixperms in debian/rules.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 22 Aug 2025 20:15:58 +0300

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 6.1.0), theme-d-rte (>= 6.1.0),
- theme-d-stdlib (>= 6.1.0), guile-3.0 (>= 3.0.7)
+ theme-d-translator (>= 7.0.0), theme-d-rte (>= 7.0.0),
+ theme-d-stdlib (>= 7.0.0), guile-3.0 (>= 3.0.7),
+ g-golf (>= 0.8.0~rc1)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.iki.fi/tohoyn/theme-d-intr/
 Rules-Requires-Root: no
 
 Package: theme-d-intr
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 6.1.0), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 7.0.0), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev
@@ -28,7 +29,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-intr (= ${source:Version}),
+ theme-d-intr (>= ${source:Version}),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf-dev
 Conflicts: theme-d-golf

## theme-d-intr 0.20.1

=== debian/changelog ===
theme-d-intr (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1.
  * Changed the dependencies to Theme-D packages to >= 7.1.0 in debian/control.
  * Added conflicts with old Theme-D packages to debian/control.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Thu, 11 Sep 2025 13:06:05 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 7.0.0), theme-d-rte (>= 7.0.0),
- theme-d-stdlib (>= 7.0.0), guile-3.0 (>= 3.0.7),
+ theme-d-translator (>= 7.1.0), theme-d-rte (>= 7.1.0),
+ theme-d-stdlib (>= 7.1.0), guile-3.0 (>= 3.0.7),
  g-golf (>= 0.8.0~rc1)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
@@ -16,10 +16,11 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 7.0.0), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 7.1.0), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
-Conflicts: theme-d-golf-dev
+Conflicts: theme-d-golf-dev,
+ theme-d-rte (<= 7.0.0-1)
 Description: Software library for using G-Golf in Theme-D
  Theme-D-Intr is a software library allowing the use of G-Golf in Theme-D.
  This package includes the files necessary for running standalone
@@ -30,9 +31,13 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  theme-d-intr (>= ${source:Version}),
+ theme-d-translator (>= 7.1.0), theme-d-rte (>= 7.1.0),
+ theme-d-stdlib (>= 7.1.0),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf-dev
-Conflicts: theme-d-golf
+Conflicts: theme-d-golf,
+ theme-d-translator (<= 7.0.0-1), theme-d-rte (<= 7.0.0-1),
+ theme-d-stdlib (<= 7.0.0-1)
 Description: Theme-D-Intr development files
  Theme-D-Intr is a software library allowing the use of G-Golf in Theme-D.
  This package contains the development files for Theme-D-Intr.

## theme-d-intr 0.20.2

=== debian/changelog ===
theme-d-intr (0.20.2-1) unstable; urgency=medium

  * New upstream version 0.20.2.
  * Changed the dependencies to Theme-D packages to >= 7.2.0 in debian/control.
  * Changed the conflict versions with Theme-D packages to <= 7.1.0-1 in
    debian/control.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Tue, 21 Oct 2025 11:33:30 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 7.1.0), theme-d-rte (>= 7.1.0),
- theme-d-stdlib (>= 7.1.0), guile-3.0 (>= 3.0.7),
+ theme-d-translator (>= 7.2.0), theme-d-rte (>= 7.2.0),
+ theme-d-stdlib (>= 7.2.0), guile-3.0 (>= 3.0.7),
  g-golf (>= 0.8.0~rc1)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
@@ -16,11 +16,11 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 7.1.0), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 7.2.0), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev,
- theme-d-rte (<= 7.0.0-1)
+ theme-d-rte (<= 7.1.0-1)
 Description: Software library for using G-Golf in Theme-D
  Theme-D-Intr is a software library allowing the use of G-Golf in Theme-D.
  This package includes the files necessary for running standalone
@@ -31,13 +31,13 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  theme-d-intr (>= ${source:Version}),
- theme-d-translator (>= 7.1.0), theme-d-rte (>= 7.1.0),
- theme-d-stdlib (>= 7.1.0),
+ theme-d-translator (>= 7.2.0), theme-d-rte (>= 7.2.0),
+ theme-d-stdlib (>= 7.2.0),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf-dev
 Conflicts: theme-d-golf,
- theme-d-translator (<= 7.0.0-1), theme-d-rte (<= 7.0.0-1),
- theme-d-stdlib (<= 7.0.0-1)
+ theme-d-translator (<= 7.1.0-1), theme-d-rte (<= 7.1.0-1),
+ theme-d-stdlib (<= 7.1.0-1)
 Description: Theme-D-Intr development files
  Theme-D-Intr is a software library allowing the use of G-Golf in Theme-D.
  This package contains the development files for Theme-D-Intr.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --with autoreconf

#override_dh_install:
#	dh_install --list-missing -X.la -X.pyc -X.pyo

GUILE_VERSION=3.0

override_dh_auto_configure:
	dh_auto_configure -- --with-guile=$(GUILE_VERSION) \
	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_compress:
	dh_compress -X.thp -X.thi -X.thb -X.mk -X.ui -X.scm

override_dh_strip:
	dh_strip --exclude=.go

override_dh_fixperms:
	dh_fixperms -X/intr-gtk4-examples/calc2/compute-deps.sh \
		-X/intr-gtk4-examples/calc2/install-calc2.sh

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" http://sf.net/theme-d-intr/theme-d-intr-(.+)\.tar\.xz theme-d-(\d[\d.]*)\.tar\.(?:gz|bz2|xz) debian uupdate

## theme-d-intr 0.20.3

=== debian/changelog ===
theme-d-intr (0.20.3-1) unstable; urgency=medium

  * New upstream version 0.20.3.
  * Changed the dependencies to Theme-D packages to >= 7.2.2 in debian/control.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Thu, 13 Nov 2025 17:16:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 7.2.0), theme-d-rte (>= 7.2.0),
- theme-d-stdlib (>= 7.2.0), guile-3.0 (>= 3.0.7),
+ theme-d-translator (>= 7.2.2), theme-d-rte (>= 7.2.2),
+ theme-d-stdlib (>= 7.2.2), guile-3.0 (>= 3.0.7),
  g-golf (>= 0.8.0~rc1)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
@@ -16,7 +16,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 7.2.0), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 7.2.2), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev,
@@ -31,8 +31,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  theme-d-intr (>= ${source:Version}),
- theme-d-translator (>= 7.2.0), theme-d-rte (>= 7.2.0),
- theme-d-stdlib (>= 7.2.0),
+ theme-d-translator (>= 7.2.2), theme-d-rte (>= 7.2.2),
+ theme-d-stdlib (>= 7.2.2),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf-dev
 Conflicts: theme-d-golf,

## theme-d-intr 0.20.4

=== debian/changelog ===
theme-d-intr (0.20.4-1) unstable; urgency=medium

  * New upstream version 0.20.4.
  * Changed the dependencies to Theme-D packages to >= 7.2.3 in debian/control.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 05 Dec 2025 11:43:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13),
- theme-d-translator (>= 7.2.2), theme-d-rte (>= 7.2.2),
- theme-d-stdlib (>= 7.2.2), guile-3.0 (>= 3.0.7),
+ theme-d-translator (>= 7.2.3), theme-d-rte (>= 7.2.3),
+ theme-d-stdlib (>= 7.2.3), guile-3.0 (>= 3.0.7),
  g-golf (>= 0.8.0~rc1)
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/theme-d-intr.git
 Vcs-Browser: https://salsa.debian.org/tohoyn-guest/theme-d-intr
@@ -16,7 +16,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- theme-d-rte (>= 7.2.2), g-golf (>= 0.8.0~rc1),
+ theme-d-rte (>= 7.2.3), g-golf (>= 0.8.0~rc1),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf
 Conflicts: theme-d-golf-dev,
@@ -31,8 +31,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  theme-d-intr (>= ${source:Version}),
- theme-d-translator (>= 7.2.2), theme-d-rte (>= 7.2.2),
- theme-d-stdlib (>= 7.2.2),
+ theme-d-translator (>= 7.2.3), theme-d-rte (>= 7.2.3),
+ theme-d-stdlib (>= 7.2.3),
  guile-3.0 (>= 3.0.7)
 Replaces: theme-d-golf-dev
 Conflicts: theme-d-golf,
